Subject: Re: [PATCH v7 00/20] submodule: convert the rest of 'update' to C

From: Junio C Hamano <[email-masked]>
Date: Sat, 12 Feb 2022 22:14:07 -0800

Junio C Hamano <[email-masked]> writes:

> Glen Choo <[email-masked]> writes:
>
>> This reroll contains another 'easy' preparatory patch and the fixups I
>> alluded to in v6 [1]. This isn't the split-up I described in the
>> footnote of v6, but it gets the big patch (patch 17) to what I think is
>> a reviewable state.
>
> Thanks.
>
> This seems to heavily conflict with "clone, submodule: pass partial
> clone filters to submodules, 2022-02-04" by Josh Steadmon
> <[email-masked]>
> in both builtins/submodule--helper.c and git-submodule.sh.
>
> It also removes the code that "submodule: record superproject gitdir
> during 'update', 2022-02-03" by Emily Shaffer
> <[email-masked]>, so what the other
> topic ends up adding to the shell script needs to eventually be
> redone in the C code.
>
> I think "superproject aware" topic would see a reroll due to a
> slight redesign.  I am not sure how solid the design of the
> "pass down partial clone filter" topic is at this moment.
>
> I may try to eject them tentatively and see how well this topic
> plays with the rest of the topics in flight.
>
> Thanks.

I can merge this to seen minus the above two topics and get it
compile, but it also seems to have some interaction with 961b130d
(branch: add --recurse-submodules option for branch creation,
2022-01-28) and makes the t3207, tests added by that other topic,
fail X-<.